import type { MPElementData, MPTextData } from 'angular-miniprogram/platform/type';
export declare class AgentNode {
    type: 'element' | 'comment' | 'text';
    selector: string | unknown;
    name: string;
    parent: AgentNode | undefined;
    nextSibling: AgentNode | undefined;
    attribute: Record<string, string>;
    style: Record<string, string>;
    property: Record<string, unknown>;
    classList: Set<string>;
    value: string;
    children: AgentNode[];
    listener: Record<string, Function>;
    constructor(type: 'element' | 'comment' | 'text');
    appendChild(child: AgentNode): void;
    setParent(parent: AgentNode): void;
    insertBefore(newChild: AgentNode, refChild: AgentNode): void;
    removeChild(child: AgentNode): void;
    toView(): MPTextData | MPElementData;
}


